package com.lantone.qc.kernel.catalogue.deathrecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.Map;

/**
 * @ClassName : DEAR0371
 * @Description : 死亡记录里死亡时间未精确到分
 * @Author : 胡敬
 * @Date: 2020-03-18 18:38
 */
@Component
public class DEAR0371 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getDeathRecordDoc() != null && inputInfo.getDeathRecordDoc().getStructureMap() != null) {
            Map<String, String> deathRecordStructureMap = inputInfo.getDeathRecordDoc().getStructureMap();
            String deathTime = deathRecordStructureMap.get("死亡时间");
            if (CatalogueUtil.isEmpty(deathTime)) {
                return;
            }
            Date deathDate = StringUtil.parseDateTime(deathTime, CatalogueUtil.processDateFormat(Content.dateFormats));
            if (null == deathDate) {
                status.set("-1");
            }
        }
    }
}